Bug 1027889 - adcli: avoid alloca in _adcli_ldap_have_in_mod
adcli: avoid alloca in _adcli_ldap_have_in_mod
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: adcli (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Sumit Bose
Stefan Dordevic
:
Depends On:
Blocks: 1027886
  Show dependency treegraph
 
Reported: 2013-11-07 08:14 EST by Florian Weimer
Modified: 2016-11-04 02:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: adcli-0.8.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 02:21:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 86970 None None None Never

  None (edit)
Description Florian Weimer 2013-11-07 08:14:44 EST
In library/adldap.c:_adcli_ldap_have_in_mod(), there are two alloca calls:

	vals = alloca (sizeof (struct berval) * (count + 1));
	pvals = alloca (sizeof (struct berval *) * (count + 1));

Array allocation with alloca is problematic because that can lead to stack overflows.  In this particular case, it seems to be harmless because count is always 1 (if I traced the callers correctly), but it still serves as a bad example.
Comment 2 Stef Walter 2013-11-08 04:03:39 EST
Makes sense, but as you noted is non-critical. Bumping to next release. Will fix upstream in the meantime.
Comment 4 Sumit Bose 2016-01-25 09:45:19 EST
Fixed upstream, will be fixed by the rebase to 0.8.x.
Comment 6 Mike McCune 2016-03-28 19:32:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 11 errata-xmlrpc 2016-11-04 02:21:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2428.html

Note You need to log in before you can comment on or make changes to this bug.